Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlGridRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlGridRendererBase

    public class HtmlGridRendererBase

extends HtmlRenderer

Version:
  $Revision: 587938 $ $Date: 2007-10-24 12:44:21 -0500 (Wed, 24 Oct 2007) $

  $Log: $
Author:
  Martin Marinschek

Constructor Summary
`HtmlGridRendererBase()`

Method Summary
`protected int` | `childAttributes(javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, int columnIndex)`
`void` | `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`boolean` | `getRendersChildren()`
`protected void` | `renderChildren(javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, int columns)`
`protected void` | `renderHeaderOrFooter(javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, int columns, boolean header)`

Methods inherited from class org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
`getActionUrl, getChildCount, getChildren, getClientId, renderId, shouldRenderId, toUri`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlGridRendererBase

    public HtmlGridRendererBase()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                     throws IOException

  Overrides:
    `encodeBegin` in class `javax.faces.render.Renderer`
  Throws:
    `IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws IOException

  Overrides:
    `encodeChildren` in class `javax.faces.render.Renderer`
  Throws:
    `IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws IOException

  Overrides:
    `encodeEnd` in class `javax.faces.render.Renderer`
  Throws:
    `IOException`

### renderHeaderOrFooter

    protected void renderHeaderOrFooter(javax.faces.context.FacesContext context,
                                        javax.faces.context.ResponseWriter writer,
                                        javax.faces.component.UIComponent component,
                                        int columns,
                                        boolean header)
                                 throws IOException

  Throws:
    `IOException`

### childAttributes

    protected int childAttributes(javax.faces.context.FacesContext context,
                                  javax.faces.context.ResponseWriter writer,
                                  javax.faces.component.UIComponent component,
                                  int columnIndex)
                           throws IOException

  Throws:
    `IOException`

### renderChildren

    protected void renderChildren(javax.faces.context.FacesContext context,
                                  javax.faces.context.ResponseWriter writer,
                                  javax.faces.component.UIComponent component,
                                  int columns)
                           throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.